<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ush" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>17-Mar-2003</pubdate>
  </info>

  <refnamediv>
    <refname>ush</refname>

    <refpurpose>unconstrained tool, evaluated the objective Hessian in sparse
    format.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[SH,ICNH,IRNH] = ush(X)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>X</term>

        <listitem>
          <para>real vector, variables of the problem</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>SH</term>

        <listitem>
          <para>real vector, Hessian coefficiants. SH(i) gives the value of
          the nonzero in row IRNH(i) and column ICNH(i). Only the upper
          triangular part of the Hessian is stored.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>ICNH</term>

        <listitem>
          <para>vector of column indices of the nonzeros of the Hessian
          matrix.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>IRNH</term>

        <listitem>
          <para>vector of row indices of the nonzeros of the Hessian
          matrix.</para>
        </listitem>
      </varlistentry>

    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>ush evaluates the Hessian matrix of the objective function of the
    problem decoded into OUTSDIF.d at the point X in the case where the only
    possible constraints are bound constraints.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example">

  </programlisting>
  </refsection>

  <refsection>
    <title>Authors</title>

    <para>Bruno Durand, INRIA</para>

    <para>Serge Steer, INRIA</para>
  </refsection>

  <refsection>
    <title>Bibliography</title>

    <para>Based on CUTEr authored by</para>

    <para>Nicholas I.M. Gould - n.gould@rl.ac.uk - RAL</para>

    <para>Dominique Orban - orban@ece.northwestern.edu - Northwestern</para>

    <para>Philippe L. Toint - Philippe.Toint@fundp.ac.be - FUNDP</para>

    <para>see http://hsl.rl.ac.uk/cuter-www</para>
  </refsection>
</refentry>
